Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2264 closed defect (fixed)

examples-v2 both_hello needs splitting

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

both_hello is supposed to be a simple example showing you can have a POSIX and Classic API initialization thread/task at the same time. It has been modified to demonstrate the trace linker.

Please split the trace wrapper example into another directory and restore both_hello to the simple example it is intended to be. It may make sense to add a directory for some trace wrapper specific examples.

Change History (4)

comment:1 Changed on 02/13/15 at 19:26:04 by Chris Johns

The code can be removed so no need to split.

It was there to test an issue that exists in the the GNU ld where these symbols are not remapped correctly and must have been committed.

comment:2 in reply to:  1 Changed on 02/13/15 at 20:04:06 by Joel Sherrill

Replying to chrisj:

The code can be removed so no need to split.

It was there to test an issue that exists in the the GNU ld where these symbols are not remapped correctly and must have been committed.

I think an example of using the trace linker (and dynamic loading) is a good thing to have in examples-v2.

But this wasn't an interesting example to even do tracing on. :)

I will try to get to removing the trace stuff.

Last edited on 02/13/15 at 20:04:20 by Joel Sherrill (previous) (diff)

comment:3 Changed on 02/13/15 at 23:24:25 by Chris Johns

Tracing is designed to trace any application so do we need to create any specific to trace example ?

comment:4 Changed on 03/03/15 at 18:22:28 by Gedare Bloom <gedare@…>

Resolution: fixed
Status: newclosed

In [changeset:"001f588d99ecdf502e727a66465df4d0ff756c8e/examples-v2"]:

hello: remove spurious code. Close #2264

Note: See TracTickets for help on using tickets.